---
title: "Create site preset app package targeting"
type: reference
method: POST
path: /rest-api/site/{siteId}/targeting/preset-app-package/create.do
tag: "Targeting Rules"
---

# Create site preset app package targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/preset-app-package/create.do`

Creates a preset application package group targeting rule for the specified site. The rule references a pre-configured application package list by its group ID. Requires PRESET_APP_PACKAGES targeting permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `siteId` | integer | yes | `3001` | Unique numeric ID of the site |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `appPackageGroupId` | integer | yes | `100` | Unique numeric ID of the preset application package group |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Site not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/preset-app-package/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'appPackageGroupId=100'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-site-targeting-preset-app-package-create